$(function () {
    var $facultySelect = $('#facultySelect');
    var $gradeSelect = $('#gradeSelect');
    var $groupSelect = $('#groupSelect');
    var $inputGroupSubmit = $('#inputGroupSubmit');
    var $searchResults = $('#search_results');

    $facultySelect.find('[value="0"]').attr('selected', 'selected');
    $gradeSelect.find('[value="0"]').attr('selected', 'selected');
    $groupSelect.find('[value="0"]').attr('selected', 'selected');
    $gradeSelect.attr('disabled', 'disabled');
    $groupSelect.attr('disabled', 'disabled');
    $inputGroupSubmit.attr('disabled', 'disabled');

    // Выбор факультета
    $facultySelect.change(function () {
        if (($facultySelect.find('option:selected').val() != '0')) {
            $searchResults.html('');
            $gradeSelect.removeAttr('disabled');
            $groupSelect.attr('disabled', 'disabled');
            $groupSelect.html('<option value="0">— Учебная группа —</option>');
        } else {
            $gradeSelect.attr('disabled', 'disabled');
            $groupSelect.attr('disabled', 'disabled');
        }
    });

    let groupSelect = getGroupLoader($groupSelect,
        () => ({FacultyID: +$facultySelect.val(), 'GradeID': +$gradeSelect.val()})
    ).setOnChange(OptionLoader.stubFoo);

    // Выбор курса
    $gradeSelect.change(() => {
        $searchResults.html('');
        groupSelect.reload();
    });

    // Выбор группы
    $groupSelect.change(function () {
        if (($groupSelect.find('option:selected').val() != '0')) {
            $inputGroupSubmit.turnOn();
        }
    });

    $inputGroupSubmit.click(function () {
        $inputGroupSubmit.attr('disabled', 'disabled');

        $.post(g_URLdir + 'handler/students/create', {
            'firstName': $('#firstName').val(),
            'secondName': $('#secondName').val(),
            'lastName': $('#lastName').val(),
            'gradeNum': $gradeSelect.find('option:selected').val(),
            'groupNum': $groupSelect.find('option:selected').val(),
            'facultyID': $facultySelect.find('option:selected').val()
        }, function (data) {
            if (data.error) {
                $('.error_message').show();
                $('.success_message').hide();
                $('.success_code').html('');
            } else {
                $('.error_message').hide();
                $('.success_message').show();
                $('.success_code').html(data.code);
            }

            $inputGroupSubmit.removeAttr('disabled');
        }, 'json');
    });
});
